Name:           neverball
Version:        1.4.0
Release:        11%{?dist}

Summary:        Roll a ball through an obstacle course

Group:          Amusements/Games
License:        GPLv2+
URL:            http://icculus.org/neverball/
Source0:        http://icculus.org/neverball/neverball-%{version}.tar.gz
Source1:        neverball.desktop
Source2:        neverputt.desktop
Patch0:         neverball-datadir.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  SDL_image-devel, SDL_ttf-devel, SDL_mixer-devel
BuildRequires:  freetype-devel, desktop-file-utils, zlib-devel
BuildRequires:  libGL-devel
Requires: opengl-games-utils

%description
Tilt the floor to roll a ball through an obstacle course within the
given time.  If the ball falls or time expires, a ball is lost.

Collect 100 coins to save your progress and earn an extra ball.  Red
coins are worth 5.  Blue coins are worth 10.

%prep
%setup -q
%patch0 -p0
# Remove some execute bits to prevent rpmlint warnings in the debuginfo
# package.
find data putt share -type f -exec chmod a-x {} \;

%build
make CFLAGS="$RPM_OPT_FLAGS -ansi `sdl-config --cflags`" %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
install -p -D -m0755 neverball $RPM_BUILD_ROOT/%{_bindir}/neverball
install -p -D -m0755 neverputt $RPM_BUILD_ROOT/%{_bindir}/neverputt
install -p -d -m0755 $RPM_BUILD_ROOT/%{_datadir}/%{name}/
install -p -D -m0644 icon/neverball.png $RPM_BUILD_ROOT/%{_datadir}/pixmaps/neverball.png
install -p -D -m0644 icon/neverputt.png $RPM_BUILD_ROOT/%{_datadir}/pixmaps/neverputt.png
cp -ap  data/* $RPM_BUILD_ROOT/%{_datadir}/%{name}/
ln -s opengl-game-wrapper.sh $RPM_BUILD_ROOT%{_bindir}/neverball-wrapper
ln -s opengl-game-wrapper.sh $RPM_BUILD_ROOT%{_bindir}/neverputt-wrapper

desktop-file-install --vendor fedora \
  --dir $RPM_BUILD_ROOT/%{_datadir}/applications \
%{SOURCE1}

desktop-file-install --vendor fedora \
  --dir $RPM_BUILD_ROOT/%{_datadir}/applications \
%{SOURCE2}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,root,0755)
%doc CHANGES COPYING README
%attr(0755,root,root) %{_bindir}/*
%{_datadir}/%{name}/
%{_datadir}/pixmaps/*
%{_datadir}/applications/*

%changelog
* Fri Feb 8 2008 Wart <wart@kobold.org> - 1.4.0-11
- Rebuild for gcc 4.3

* Sat Sep 29 2007 Wart <wart@kobold.org> - 1.4.0-10
- Add wrapper for detecting DRI when launching game (BZ #304811)

* Mon Aug 20 2007 Wart <wart@kobold.org> - 1.4.0-9
- License tag clarification

* Fri Mar 9 2007 Wart <wart@kobold.org> - 1.4.0-8
- Updated desktop file categories

* Sat Sep 2 2006 Wart <wart@kobold.org> - 1.4.0-7
- Change BR: for opengl
- Rebuild for Fedora Extras

* Thu Mar 2 2006 Wart <wart@kobold.org> - 1.4.0-6
- Add dist tag now that spec files are different between releases

* Mon Feb 27 2006 Wart <wart@kobold.org> - 1.4.0-5
- Added BR: mesa-libGL-devel for modular xorg
- Added smp_mflags to compile line to speed up build on smp machines

* Sun May 22 2005 Jeremy Katz <katzj@redhat.com> - 1.4.0-4
- rebuild on all arches

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Thu Nov 11 2004 Matthias Saou <http://freshrpms.net/> 1.4.0-2
- Bump release to provide Extras upgrade path.
- Fix tabs/spaces mixture.
- Make the changelog breathe a little, and be readable.

* Sat Oct 16 2004 Nils O. Selåsdal <NOS@Utel.no>- 0:1.4.0-0.fdr.1
- Update to 1.4.0
- Remove libGLU BuildRequires, it seems to be gone with an xorg errata,
  xorg-x11-devel should be all thats needed now though.
- Add neverputt .desktop file

* Fri Aug 13 2004 Nils O. Selåsdal <NOS@Utel.no>- 0:1.3.7-0.fdr.1
- Update to 1.3.7, which fixes a corruption in Neverputt level 16

* Tue Aug 03 2004 Nils O. Selåsdal <NOS@Utel.no>- 0:1.3.6-0.fdr.1
- Update to 1.3.6

* Thu Jul 08 2004 Nils O. Selåsdal <NOS@Utel.no>- 0:1.3.1-0.fdr.1
- Update to 1.3.1
- Add icon to .desktop file
- Really include neverputt binary

* Thu Jun 03 2004 Nils O. Selåsdal <NOS@Utel.no>- 0:1.2.5-0.fdr.2
- Sign the src.rpm

* Tue Jun 01 2004 Nils O. Selåsdal <NOS@Utel.no>- 0:1.2.5-0.fdr.1
- 1.2.5 and updated to work on FC2
- Include new neverputt binary.
- Use CFLAGS for pullingin RPM_OPT_FLAGS

* Fri Mar 19 2004 Nils O. Selåsdal <NOS@Utel.no>- 0:1.1.0-0.fdr.1
- 1.1.0

* Fri Nov 21 2003 Nils O. Selåsdal <NOS@Utel.no>- 0:1.0.0-0.fdr.2
- Add missing BuildRequires.

* Fri May 03 2003 Nils O. Selåsdal <NOS@Utel.no> - 0:1.0.0-0.fdr.1
- Initial RPM release.

